Skip to content

Up/down status of every observability backend.

GET
/v1/observability/admin/backends/health
Code sample: Shell / cURL
curl --request GET \
--url https://stratum.example.com/v1/observability/admin/backends/health \
--header 'Authorization: Bearer <token>'

Cedar action observability:ReadSubstrate. Probes each component’s /-/healthy endpoint with a 5-second timeout.

Backend health snapshot.

Media typeapplication/json
object
victoriaMetrics
required
object
url
string
status
required
string
Allowed values: up down unknown
error
string
victoriaLogs
required
object
url
string
status
required
string
Allowed values: up down unknown
error
string
vmalert
required
object
url
string
status
required
string
Allowed values: up down unknown
error
string
alertmanager
required
object
url
string
status
required
string
Allowed values: up down unknown
error
string

Example

{
"victoriaMetrics": {
"status": "up"
},
"victoriaLogs": {
"status": "up"
},
"vmalert": {
"status": "up"
},
"alertmanager": {
"status": "up"
}
}